Subject: Re: [PATCH v4 21/23] merge: teach --autostash option

From: Phillip Wood <[email-masked]>
Date: Tue, 7 Apr 2020 16:06:31 +0100

Hi Denton

On 07/04/2020 14:09, Denton Liu wrote:
> Hi Phillip,
> 
> Thanks for the review. The documentation rewordings are particularly
> helpful.

Thanks I'm glad they were useful

> On Mon, Apr 06, 2020 at 04:20:24PM +0100, Phillip Wood wrote:
>>>    --quit::
>>>    	Forget about the current merge in progress. Leave the index
>>
>> Should we be saving the stash if the user runs 'git merge --quit'?
> 
> Yes, this is its current behaviour, although it's undocumented. In my
> next reroll, I've added a test case and documentation for this. This is
> similar to how `git rebase --quit` behaves.

That's great - I'll try and read through v5 later in the week, it looks 
like there aren't too many changes

> Now that I think about it, when `git rebase --quit` happens, the
> autostash is just dropped out of existence, which is probably
> undesirable behaviour. I'll probably submit a later series to save that
> autostash so that it's not lost forever.

That's a good idea, Thanks

Phillip

> Thanks,
> Denton